Support Questions
Find answers, ask questions, and share your expertise

Cloudera Data Science Workbench service cannot be upgraded

Cloudera Data Science Workbench service cannot be upgraded

Explorer

Error is:
    "Failed to upgrade cluster: The Cloudera Data Science Workbench service cannot be upgraded:
     the target version does not support the Cloudera Data Science Workbench service type.
     You might need to install a newer CSD that supports the target version, or remove this service."

Trying to solve the problem we followed instructions from Cloudera document https://docs.cloudera.com/documentation/data-science-workbench/1-6-x/topics/cdsw_upgrade.html#cdh_5_..., but didn't help.

upgrade from  CDH 5.14 to CDH 6.1.1

 

Actually we are on CDSW 1.6 and uploaded the CDSW 1.6 for CDH 6 following the instructions from Cloudera CDSW upgrade site, but still showing the same error

1 REPLY 1

Re: Cloudera Data Science Workbench service cannot be upgraded

@pra_big  Thanks for posting on Cloudera community.

 

The error indicating that the CSD is not compatible with the new CDSW version (CDSW1.6) as you have CSD compatible for CDH 5.14. 

 

You need to remove old CDS file compatible to CDH5 and then download the new CSD for CDH6 from this document. Also please follow the doc to configure the CSD locations and then proceed with upgrade procedure.

https://docs.cloudera.com/documentation/data-science-workbench/1-6-x/topics/cdsw_upgrade_parcel.html...

 

Don't forget to mark this post as a solution if this resolves your issue. Cheers. 

 


Cheers!
Was your question answered? Make sure to mark the answer as the accepted solution.
If you find a reply useful, say thanks by clicking on the thumbs up button.